Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Inherited Constants | Fields | Methods | Inherited Methods | [Expand All]
public final class

# MaskedWallet

extends Object
implements Parcelable

java.lang.Object
↳ | com.google.android.gms.wallet.MaskedWallet

## Class Overview

Parcelable representing a masked wallet response.

## Summary

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Fields
public static final Creator<MaskedWallet> | CREATOR |

Public Methods
int | describeContents()
Address | getBillingAddress()
String | getEmail()
String | getGoogleTransactionId()
LoyaltyWalletObject[] | getLoyaltyWalletObjects()
String | getMerchantTransactionId()
OfferWalletObject[] | getOfferWalletObjects()
String[] | getPaymentDescriptions()
Address | getShippingAddress()
int | getVersionCode()
void | writeToParcel(Parcel dest, int flags)

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

## Fields

#### public static final Creator<MaskedWallet> CREATOR

## Public Methods

#### public int describeContents ()

#### public Address getBillingAddress ()

##### Returns

- Billing address associated with the payment instrument.

#### public String getEmail ()

##### Returns

- buyer's email.

#### public String getGoogleTransactionId ()

##### Returns

- Google's unique identifier for this transaction. You will store this in your application. Its value is required to be in the googleTransactionId field on all subsequent change masked wallet and full wallet requests pertaining to this transaction.

#### public LoyaltyWalletObject[] getLoyaltyWalletObjects ()

##### Returns

- Buyer's loyalty wallet objects

#### public String getMerchantTransactionId ()

##### Returns

- The merchant transaction id specified in the `MaskedWalletRequest`.

#### public OfferWalletObject[] getOfferWalletObjects ()

##### Returns

- Buyer's offer wallet objects

#### public String[] getPaymentDescriptions ()

##### Returns

- A list of funding sources used to fund the Google Wallet transaction.

  IMPORTANT: the list is organized in the order which funds will be applied. You are required to show each of these sources to inform the buyer of their funding sources for the transaction. See Google Wallet UI guide for details.

#### public Address getShippingAddress ()

##### Returns

- Buyer's shipping address

#### public int getVersionCode ()

#### public void writeToParcel (Parcel dest, int flags)